<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Collectors</title>

    <!-- CSS -->
    <!-- Bootstrap -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.14.0-beta2/css/bootstrap-select.min.css"
      integrity="sha512-mR/b5Y7FRsKqrYZou7uysnOdCIJib/7r5QeJMFvLNHNhtye3xJp1TdJVPLtetkukFn227nKpXD9OjUc09lx97Q=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
    <!-- Fontawesome -->
    <script
      src="https://kit.fontawesome.com/23304cb210.js"
      crossorigin="anonymous"
    ></script>
    <!-- Custom -->
    <link rel="stylesheet" href="assets/css/styles.css" />
  </head>
  <body>
    <div class="cardBusquedaJuegos container card my-3 mx-auto p-3">
      <form action="" id="formBusquedaJuegos">
        <div class="row my-3 mx-auto">
          <h3 class="text-center">Collectors</h3>
        </div>
        <div class="row g-2">
          <div class="col-md-5">
            <div class="form-floating">
              <input
                type="text"
                class="form-control form-control-sm"
                id="inputSearch"
                placeholder="Search title..."
              />
              <label for="inputSearch">Search videogame</label>
            </div>
          </div>
          <div class="col-md-2">
            <div class="form-floating">
              <select
                class="form-select form-select-sm"
                id="selectPlatform"
                aria-label="Select a platform..."
              >
                <option value="0">Select a option</option>
                <optgroup label="Nintendo">
                  <option disabled>Home Consoles</option>
                  <option value="18">Nintendo</option>
                  <option value="19">Super Nintendo</option>
                  <option value="4">Nintendo 64</option>
                  <option value="21">Nintendo GameCube</option>
                  <option value="5">Nintendo Wii</option>
                  <option value="41">Nintendo Wii U</option>
                  <option value="130">Nintendo Switch</option>
                  <option disabled>Portable Consoles</option>
                  <option value="33">Game Boy</option>
                  <option value="22">Game Boy Color</option>
                  <option value="24">Game Boy Advance</option>
                  <option value="20">Nintendo DS</option>
                  <option value="159">Nintendo DSi</option>
                  <option value="37">Nintendo 3DS</option>
                  <option value="137">Nintendo New 3ds</option>
                </optgroup>
                <optgroup label="Sony">
                  <option disabled>Home Consoles</option>
                  <option value="7">PlayStation 1</option>
                  <option value="8">PlayStation 2</option>
                  <option value="9">PlayStation 3</option>
                  <option value="48">PlayStation 4</option>
                  <option value="167">PlayStation 5</option>
                  <option disabled>Portable Consoles</option>
                  <option value="38">PlayStation Portatil</option>
                  <option value="46">PlayStation Vita</option>
                </optgroup>
                <optgroup label="Microsoft">
                  <option disabled>Home Consoles</option>
                  <option value="11">Xbox</option>
                  <option value="12">Xbox 360</option>
                  <option value="49">Xbox One</option>
                  <option value="169">Xbox Series</option>
                </optgroup>
                <optgroup label="PC">
                  <option value="6">Windows</option>
                  <option value="3">Linux</option>
                  <option value="14">Mac</option>
                </optgroup>
                <optgroup label="Mobile">
                  <option value="34">Ios</option>
                  <option value="39">Android</option>
                </optgroup>
                <optgroup label="Other Systems ">
                  <option value="170">Google Stadia</option>
                  <option value="385">Oculus-Rift</option>
                  <option value="384">Oculus-Quest</option>
                  <option value="113">Online</option>
                  <option value="82">Browser</option>
                  <option value="47">Virtual Console</option>
                </optgroup>
              </select>
              <label for="selectPlatform">Platforms</label>
            </div>
          </div>
          <div class="col-md-5">
            <div class="form-floating">
              <select
                class="form-control form-select form-select-sm selectpicker"
                id="selectCategories"
                multiple
                aria-label="Select category..."
              >
                <option value="0">Main game</option>
                <option value="1">DLC / Addon</option>
                <option value="2">Expansion</option>
                <option value="3">Bundle</option>
                <option value="4">Standalone Expansion</option>
                <option value="5">Mod</option>
                <option value="6">Episode</option>
                <option value="7">Season</option>
                <option value="8">Remake</option>
                <option value="9">Remaster</option>
                <option value="10">Expanded Game</option>
                <option value="11">Port</option>
                <option value="12">Fork</option>
                <option value="13">Pack</option>
                <option value="14">Update</option>
              </select>
              <label class="form-label" for="selectCategories"
                >Categories</label
              >
            </div>
          </div>
        </div>
        <div class="row g-2 my-3 col-2 mx-auto">
          <div class="col-md">
            <button
              id="btnBuscarJuego"
              type="submit"
              class="btn btn-primary w-100 h-100"
            >
              <span
                class="spinner-border spinner-border-sm d-none"
                role="status"
                aria-hidden="true"
              ></span>
              <span class="ms-2">Search</span>
            </button>
          </div>
        </div>
      </form>

      <form action="" id="formGamesLibrary">
        <div class="cardLibrary card container m-auto p-3">
          <div class="row my-3 mx-auto">
            <h4 class="text-center">Videogames</h4>
          </div>

          <div id="cantidadVideojuegos"></div>

          <!-- Nav tabs -->
          <ul class="nav nav-tabs justify-content-center" role="tablist">
            <li class="nav-item">
              <a
                class="nav-link active"
                data-bs-toggle="tab"
                href="#panelLibreria"
                >Librería</a
              >
            </li>
            <li class="nav-item">
              <a class="nav-link" data-bs-toggle="tab" href="#panelTabla"
                >Tabla</a
              >
            </li>
          </ul>

          <!-- Tab panes -->
          <div class="tab-content">
            <div id="panelLibreria" class="container tab-pane active">
              <br />
              <div class="galeria" id="galeria"></div>
            </div>
            <div id="panelTabla" class="container tab-pane fade">
              <br />
              <div id="tablaVideojuegos"></div>
            </div>
          </div>
          <hr />
        </div>
      </form>

      <br />
    </div>

    <!-- JS -->
    <!-- Jquery -->
    <script
      src="https://code.jquery.com/jquery-3.7.1.min.js"
      integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo="
      crossorigin="anonymous"
    ></script>
    <!-- Bootstrap -->
    <script
      src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"
      integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js"
      integrity="sha384-cuYeSxntonz0PPNlHhBs68uyIAVpIIOZZ5JqeqvYYIcEL727kskC66kF92t6Xl2V"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.14.0-beta2/js/bootstrap-select.min.js"
      integrity="sha512-FHZVRMUW9FsXobt+ONiix6Z0tIkxvQfxtCSirkKc5Sb4TKHmqq1dZa8DphF0XqKb3ldLu/wgMa8mT6uXiLlRlw=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>
    <!-- Axios -->
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!-- Custom -->
    <script src="./assets/js/main.js"></script>
    <script src="./assets/js/import/igdb.js"></script>
  </body>
</html>
